---

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }}  | Abprüfen ob Cert vorhanden ist
  stat: path=/etc/letsencrypt/live/{{ occ_domain }}
  register: p

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }}  | Abhängigkeiten installieren
  package:
    name: "{{ item }}"
    state: present
  with_items: 
    - certbot 

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }} | vHost Let Encryp Config erstellen
  template: 
    src: templates/le-http.conf.j2 
    dest: /etc/apache2/sites-available/le-http.conf
    mode: 0644

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }} | Apache Site enable
  ansible.builtin.file:
    src: /etc/apache2/sites-available/le-http.conf
    dest: /etc/apache2/sites-enabled/le-http.conf
    owner: root
    group: root
    state: link

- name: Lets Encrypt  {{ansible_distribution}} {{ansible_distribution_release}} | benötigte Apache2 Module enable
  command: 'a2enmod "{{ item }}"'
  with_items:
    - rewrite

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }} | Appache Start
  service:
    name: apache2
    state: restarted

- name: Lets Encrypt  {{ ansible_distribution }} {{ ansible_distribution_release }} | LetsEncrypt Ordner erstellen
  ansible.builtin.file:
    path: 	/var/www/letsencrypt
    state: directory
    owner: www-data
    group: www-data
    mode: '0775'